<?php

namespace GriffinForms\Admin\Language;

use \GriffinForms\Admin\Language\MenuTitles;
use \GriffinForms\Admin\Language\PageTitles;

class Menu extends \GriffinForms\Admin\Language\Format
{
    use MenuTitles;
    use PageTitles;
    
    protected static $instance;
    
    protected function noPage()
    {
        return __('Empty Page', 'griffinforms-form-builder');
    }
    
    protected function submissionsTitle()
    {
        return __('Form Submissions', 'griffinforms-form-builder');
    }
    
    protected function fieldsTitle()
    {
        return __('Form Fields', 'griffinforms-form-builder');
    }
    
    protected function foldersTitle()
    {
        return __('Folders', 'griffinforms-form-builder');
    }
    
    protected function messagesTitle()
    {
        return __('Messages', 'griffinforms-form-builder');
    }

    protected function formTitle()
    {
        return __('Edit Form', 'griffinforms-form-builder');
    }

    protected function generalTitle()
    {
        return __('General Settings', 'griffinforms-form-builder');
    }

    protected function antispamTitle()
    {
        return __('Anti-Spam Settings', 'griffinforms-form-builder');
    }

    protected function mailTitle()
    {
        return __('Email Settings', 'griffinforms-form-builder');
    }


    protected function folderTitle()
    {
        return __('Edit Folder', 'griffinforms-form-builder');
    }

    protected function appTitle()
    {
        return __('Fields', 'griffinforms-form-builder');
    }

    protected function fieldTitle()
    {
        return __('Edit Field', 'griffinforms-form-builder');
    }

    protected function formpageTitle()
    {
        return __('Edit Page', 'griffinforms-form-builder');
    }

    protected function pagerowTitle()
    {
        return __('Edit Row', 'griffinforms-form-builder');
    }

    protected function rowcolumnTitle()
    {
        return __('Edit Column', 'griffinforms-form-builder');
    }

    protected function submissionTitle()
    {
        return __('Submission', 'griffinforms-form-builder');
    }

    protected function onboardingTitle()
    {
        return __('Getting Started', 'griffinforms-form-builder');
    }

    protected function proTitle()
    {
        return __('Pro', 'griffinforms-form-builder');
    }

    protected function diagnosticsTitle()
    {
        return __('Package Diagnostics', 'griffinforms-form-builder');
    }

    protected function librariesTitle()
    {
        return __('Libraries Catalog', 'griffinforms-form-builder');
    }

    protected function messageTitle()
    {
        return __('Edit Message', 'griffinforms-form-builder');
    }
    
    public static function getInstance()
    {
        if (self::$instance == null)
        {
            self::$instance = new Menu();
        }
        
        return self::$instance;
    }
    
    private function __construct() 
    {
    }
}
